(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     32269,        670]
NotebookOptionsPosition[     32593,        661]
NotebookOutlinePosition[     33044,        682]
CellTagsIndexPosition[     33001,        679]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`circuit$$ = 
    1, $CellContext`logC2$$ = -5., $CellContext`logf$$ = -1., \
$CellContext`logL1$$ = -6., $CellContext`logR1$$ = -1., $CellContext`logR2$$ =
     0.5, $CellContext`logRd$$ = -1., $CellContext`tau$$ = 
    0.1, $CellContext`type$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["How to use EIS contour plot.", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Potentiostat MPG-2xx", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`type$$], 1, ""}, {
      1 -> "MPG-2", 2 -> "MPG-205", 3 -> "MPG-210", 4 -> "MPG-220"}}, {
      Hold[
       Style["Simulation for the", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["equivalent circuit", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`circuit$$], 1, ""}, {
      1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}}, {
      Hold[
       Dynamic[
        Part[$CellContext`graphCirc, $CellContext`circuit$$]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Frequency parameter", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logf$$], -1., 
       "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -4, 6, 
      0.1}, {
      Hold[
       Style["R1+R2/C2, common parameters", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logR1$$], -1., 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)1/\[CapitalOmega])"}, -2, 2, 0.1}, {{
       Hold[$CellContext`logR2$$], 0.5, 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)2/\[CapitalOmega])"}, -2, 6.5, 0.1}, {{
       Hold[$CellContext`logC2$$], -5., 
       "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -10, -5, 
      0.1}, {
      Hold[
       Style["L1+R1+R2/C2", 10, Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`logL1$$], -6., 
       "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, -4, 
      0.1}, {
      Hold[
       Style["R1+C2/(R2+M2)", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logRd$$], -1., 
       "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/H)"}, -2, 4, 0.1}, {{
       Hold[$CellContext`tau$$], 0.1, "\[Tau]/s"}, 0.1, 5, 0.1}}, 
    Typeset`size$$ = {300., {307., 312.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`type$29372$$ = False, $CellContext`circuit$29373$$ = 
    False, $CellContext`logf$29374$$ = 0, $CellContext`logR1$29375$$ = 
    0, $CellContext`logR2$29376$$ = 0, $CellContext`logC2$29377$$ = 
    0, $CellContext`logL1$29378$$ = 0, $CellContext`logRd$29379$$ = 
    0, $CellContext`tau$29380$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`circuit$$ = 
        1, $CellContext`logC2$$ = -5., $CellContext`logf$$ = -1., \
$CellContext`logL1$$ = -6., $CellContext`logR1$$ = -1., $CellContext`logR2$$ = 
        0.5, $CellContext`logRd$$ = -1., $CellContext`tau$$ = 
        0.1, $CellContext`type$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`type$$, $CellContext`type$29372$$, False], 
        Hold[$CellContext`circuit$$, $CellContext`circuit$29373$$, False], 
        Hold[$CellContext`logf$$, $CellContext`logf$29374$$, 0], 
        Hold[$CellContext`logR1$$, $CellContext`logR1$29375$$, 0], 
        Hold[$CellContext`logR2$$, $CellContext`logR2$29376$$, 0], 
        Hold[$CellContext`logC2$$, $CellContext`logC2$29377$$, 0], 
        Hold[$CellContext`logL1$$, $CellContext`logL1$29378$$, 0], 
        Hold[$CellContext`logRd$$, $CellContext`logRd$29379$$, 0], 
        Hold[$CellContext`tau$$, $CellContext`tau$29380$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`R1 = 10^$CellContext`logR1$$; $CellContext`R2 = 
        10^$CellContext`logR2$$; $CellContext`C2 = 
        10^$CellContext`logC2$$; $CellContext`Rd = 
        10^$CellContext`logRd$$; $CellContext`L1 = 
        10^$CellContext`logL1$$; $CellContext`fc = 
        1/(2 Pi $CellContext`R2 $CellContext`C2); $CellContext`lad = {
         1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2 + $CellContext`Rd/
           3)}; $CellContext`x = $CellContext`logf$$; $CellContext`y = Log10[
          Abs[
           Subscript[$CellContext`Z, $CellContext`circuit$$][
           I 2 Pi 10^$CellContext`logf$$]]]; $CellContext`llab = Table[
          
          ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
            Part[$CellContext`llpt, $CellContext`type$$, $CellContext`i, 
              1], $CellContext`y1 -> 
            Part[$CellContext`llpt, $CellContext`type$$, $CellContext`i, 
              2], $CellContext`x2 -> 
            Part[$CellContext`llpt, $CellContext`type$$, $CellContext`i + 1, 
              1], $CellContext`y2 -> 
            Part[$CellContext`llpt, $CellContext`type$$, $CellContext`i + 1, 
              2]}], {$CellContext`i, Length[
             Part[$CellContext`llpt, $CellContext`type$$]] - 1}]; Which[
         Or[$CellContext`type$$ == 1, $CellContext`type$$ == 2], 
         If[
          
          And[$CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 1]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 2]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 3]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 4]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 5]]], {$CellContext`couleur = 
            Green; $CellContext`colpol = LightGreen}, {$CellContext`couleur = 
            Red; $CellContext`colpol = LightRed}], $CellContext`type$$ == 3, 
         If[
          
          And[$CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 1]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 2]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 3]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 4]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 5]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 6]]], {$CellContext`couleur = 
            Green; $CellContext`colpol = LightGreen}, {$CellContext`couleur = 
            Red; $CellContext`colpol = LightRed}], $CellContext`type$$ == 4, 
         If[
          
          And[$CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 1]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 2]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 3]], $CellContext`y <= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 4]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 5]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 6]], $CellContext`y >= 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`llab, 7]]], {$CellContext`couleur = 
            Green; $CellContext`colpol = LightGreen}, {$CellContext`couleur = 
            Red; $CellContext`colpol = LightRed}]]; $CellContext`gNyq = 
        ParametricPlot[Part[$CellContext`lad, $CellContext`circuit$$] {
            Re[
             Subscript[$CellContext`Z, $CellContext`circuit$$][
             I 2 Pi 10^$CellContext`logfreq]], -Im[
              Subscript[$CellContext`Z, $CellContext`circuit$$][
              I 2 Pi 10^$CellContext`logfreq]]}, {$CellContext`logfreq, -5, 
           12}, Frame -> True, FrameLabel -> {
            Part[$CellContext`llabelNyqx, $CellContext`circuit$$], 
            Part[$CellContext`llabelNyqy, $CellContext`circuit$$]}, 
          PlotRange -> {{-0.05, 1.1}, {-0.2, 0.7}}, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, PlotStyle -> {
            AbsoluteThickness[2]}, AxesOrigin -> {0, 0}, 
          FrameTicks -> {{0, 0.5, 1}, {0, 0.5}, None, None}, 
          Epilog -> {$CellContext`colpol, $CellContext`pol, 
            Black, $CellContext`precis, 
            AbsoluteThickness[2.], 
            AbsolutePointSize[10], Black, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}]}, ImageSize -> 
          250]; $CellContext`gBod = Plot[
          Log10[
           Abs[
            Subscript[$CellContext`Z, $CellContext`circuit$$][
            I 2 Pi 10^$CellContext`logfreq]]], {$CellContext`logfreq, \
$CellContext`logfmin, $CellContext`logfmax}, PlotStyle -> {
            AbsoluteThickness[2]}, 
          PlotRange -> {{$CellContext`logfmin, $CellContext`logfmax}, \
{$CellContext`logmodmin, $CellContext`logmodmax}}, Frame -> True, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, 
          FrameLabel -> {
           "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)", 
            "log(|\!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)|/\
\[CapitalOmega])"}, Axes -> None, 
          Epilog -> {$CellContext`colpol, $CellContext`pol, 
            Black, $CellContext`precis, 
            AbsolutePointSize[10], Black, 
            Point[{$CellContext`x, $CellContext`y}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[{$CellContext`x, $CellContext`y}]}, 
          FrameTicks -> {{-4, -2, 0, 2, 4, 6}, {-6, -3, 0, 3, 6}, None, 
            None}]; $CellContext`gContour = Show[
          Graphics[{LightRed, 
            
            Polygon[{{$CellContext`logfmin, $CellContext`logmodmin}, \
{$CellContext`logfmax, $CellContext`logmodmin}, {$CellContext`logfmax, \
$CellContext`logmodmax}, {$CellContext`logfmin, $CellContext`logmodmax}}], 
            LightGreen, 
            Polygon[
             Part[$CellContext`llpt, $CellContext`type$$]], Black, 
            AbsoluteThickness[1.25], 
            Line[
             Part[$CellContext`llpt, $CellContext`type$$]]}], 
          FrameLabel -> {
           "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)", 
            "log(|\!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)|/\
\[CapitalOmega])"}, 
          PlotRange -> {{$CellContext`logfmin, $CellContext`logfmax}, \
{$CellContext`logmodmin, $CellContext`logmodmax}}, Frame -> True, AspectRatio -> 
          1/GoldenRatio, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, 
          FrameTicks -> {{-4, -2, 0, 2, 4, 6}, {-6, -3, 0, 3, 6}, None, 
            None}]; GraphicsColumn[{$CellContext`gNyq, $CellContext`gBod, 
          Show[$CellContext`gContour, $CellContext`gBod, Epilog -> {Black, 
             Text[
              Style[
              "\[CapitalDelta]|Z|/|Z| < 1%,  \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) < 1\[Degree]", Bold, Medium], 
              Part[$CellContext`lpos1, $CellContext`type$$], {-1, 0}], 
             Text[
              Style[
              "\[CapitalDelta]|Z|/|Z| > 1%,  \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) > 1\[Degree]", Bold, Medium], 
              Part[$CellContext`lpos2, $CellContext`type$$], {-1, 0}], 
             Text[
              Style[
               Part[$CellContext`lPot, $CellContext`type$$], Bold, Medium], 
              Scaled[{0.95, 0.1}], {1, 0}], 
             AbsolutePointSize[10], 
             Point[{$CellContext`x, $CellContext`y}], 
             AbsolutePointSize[8], $CellContext`couleur, 
             Point[{$CellContext`x, $CellContext`y}]}]}, ImageSize -> 300, 
         Spacings -> -10]), "Specifications" :> {
        Style["How to use EIS contour plot.", Bold, Medium], Delimiter, 
        Style[
        "Potentiostat MPG-2xx", Bold, 
         Medium], {{$CellContext`type$$, 1, ""}, {
         1 -> "MPG-2", 2 -> "MPG-205", 3 -> "MPG-210", 4 -> "MPG-220"}, 
         ControlType -> PopupMenu}, Delimiter, 
        Style["Simulation for the", Bold, Medium], 
        Style[
        "equivalent circuit", Bold, 
         Medium], {{$CellContext`circuit$$, 1, ""}, {
         1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}, 
         ControlType -> PopupMenu}, 
        Dynamic[
         Part[$CellContext`graphCirc, $CellContext`circuit$$]], Delimiter, 
        Style[
        "Frequency parameter", 10, 
         Bold], {{$CellContext`logf$$, -1., 
          "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -4, 6,
          0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+R2/C2, common parameters", 10, 
         Bold], {{$CellContext`logR1$$, -1., 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)1/\
\[CapitalOmega])"}, -2, 2, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logR2$$, 0.5, 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)2/\
\[CapitalOmega])"}, -2, 6.5, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logC2$$, -5., 
          "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -10, \
-5, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "L1+R1+R2/C2", 10, 
         Bold], {{$CellContext`logL1$$, -6., 
          "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, \
-4, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+C2/(R2+M2)", 10, 
         Bold], {{$CellContext`logRd$$, -1., 
          "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/H)"}, -2, 4, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`tau$$, 0.1, "\[Tau]/s"}, 0.1, 5, 0.1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> True, FrameLabel -> {
          Style["2014 \[Copyright] www.bio-logic.info", Medium]}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{556., {343., 348.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((Subscript[$CellContext`Z, 1][
         Pattern[$CellContext`p, 
          Blank[]]] := $CellContext`R1 + $CellContext`R2/(
         1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 2][
         Pattern[$CellContext`p, 
          
          Blank[]]] := $CellContext`L1 $CellContext`p + $CellContext`R1 + \
$CellContext`R2/(1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 3][
         Pattern[$CellContext`p$, 
          
          Blank[]]] := $CellContext`R1 + ($CellContext`R2 + $CellContext`Rd (
            Coth[($CellContext`tau$$ $CellContext`p$)^
              Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
            Rational[1, 2]))/(
         1 + $CellContext`p$ $CellContext`C2 ($CellContext`R2 + \
$CellContext`Rd (
             Coth[($CellContext`tau$$ $CellContext`p$)^
               Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
             Rational[1, 2]))); Cap[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/20, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`trepais], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/2}}]}]; $CellContext`Res[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L/2, $CellContext`yO}}], 
          Line[{{$CellContext`xO + 
             3 ($CellContext`L/2), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`RpC[
         Pattern[$CellContext`x0, 
          Blank[]], 
         Pattern[$CellContext`y0, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Block[{}, {
          Graphics[{
            AbsoluteThickness[$CellContext`trfin], 
            
            Line[{{$CellContext`x0, $CellContext`y0}, {$CellContext`x0, \
$CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0}, {$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 - $CellContext`L/
               2, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0, $CellContext`y0 + $CellContext`L/2}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0 + 
               2 $CellContext`L + $CellContext`L/
                2, $CellContext`y0 + $CellContext`L/2}}]}], 
          $CellContext`Res[$CellContext`x0, $CellContext`y0, $CellContext`L, \
$CellContext`l], 
          
          Cap[$CellContext`x0, $CellContext`L, $CellContext`L, \
$CellContext`l]}]; $CellContext`trfin = 0.5; $CellContext`tr = 
       1; $CellContext`trepais = 1.5; $CellContext`L = 1; $CellContext`l = 
       0.4; $CellContext`fRRC = Show[{
          $CellContext`Res[
          0.5 $CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["C2", {3.5, 1.5}], 
           Text["R1", {1.5 $CellContext`L, 0.475}], 
           Text["R2", {3.5, 0}]}, PlotRange -> {{0.5, 5}, {-0.5, 1.75}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 10}]; $CellContext`coth[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/10, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             10, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`fRCRM = 
       Show[
         $CellContext`Res[0, 0, $CellContext`L, $CellContext`l], 
         $CellContext`Res[
         2 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         $CellContext`coth[
         3.5 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         Cap[
         2.5 $CellContext`L, $CellContext`L, $CellContext`L, $CellContext`l], 
         
         Graphics[{
           AbsoluteThickness[$CellContext`trfin], 
           Line[{{2 $CellContext`L, 0}, {2 $CellContext`L, $CellContext`L}}], 
           
           
           Line[{{2 $CellContext`L, $CellContext`L}, {
             2.5 $CellContext`L, $CellContext`L}}], 
           
           Line[{{4.5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, $CellContext`L}}], 
           
           Line[{{5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, 0}}]}], AspectRatio -> Automatic, Epilog -> {
           Text["R1", {$CellContext`L, 0}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["C2", {3.5 $CellContext`L, 1.5 $CellContext`L}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["M2", {4.5 $CellContext`L, 0.5 $CellContext`L}]}, 
         PlotRange -> {{0, 5.5}, {-0.9, 2. $CellContext`L}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 8}]; $CellContext`Ind[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + 
             1.2 ($CellContext`r/2), $CellContext`yO}}], 
          Line[{{$CellContext`xO + $CellContext`r/2 + 
             9 ($CellContext`r/10), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`r, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            2 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, Pi}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            3.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            6.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            8 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/10, {
           0, 5 (Pi/4)}]}]; $CellContext`fRLRC = Show[{
          $CellContext`Res[-$CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`Ind[$CellContext`L/2, $CellContext`L/2, 1], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["L1", {1.5, 0.9}], 
           Text["C2", {3.5, 1.5}], 
           Text["R1", {0, 0.475}], 
           Text["R2", {3.5, 0}], FontWeight -> "Bold", FontSize -> 12, 
           Text["\[Copyright] www.bio-logic.info", {-6.5, -3.5}, {-4, 0}]}, 
         PlotRange -> {{(-1.05) $CellContext`L, 5.}, {-0.5, 1.75}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 
           10}]; $CellContext`graphCirc = {$CellContext`fRRC, \
$CellContext`fRLRC, $CellContext`fRCRM}; $CellContext`logfmin = -4; \
$CellContext`logfmax = 
       6; $CellContext`logmodmin = -6.5; $CellContext`logmodmax = 
       8; $CellContext`llpt = {{{-4., 7.}, {3.4771212547196617`, 7.}, {
         5.50201037979568, 3.}, {5.502023113821174, 1.}, {
         3.901294817165567, -2.}, {-4., -2.}}, {{-4., 6.}, {2., 6.}, {
         4.30102999566398, 3.}, {4.30104999566398, -1.}, {
         1.6989700043360185`, -4.}, {-4., -4.}}, {{-4., 7.}, {
         1.6989700043360185`, 7.}, {4.301247088636211, 2.477121254719662}, {
         4.30126999566398, -1.}, {2., -4.397940008672037}, {
         1., -4.698970004336018}, {-4., -4.698970004336018}}, {{-4., 
         7.}, {-3., 7.}, {1.6989700043360185`, 6.}, {4.30102999566398, 2.}, {
         4.30104999566398, -1.}, {3.6989700043360187`, -3.}, {
         1., -5.}, {-4., -5.}}}; $CellContext`sol = First[
         FullSimplify[
          
          Solve[{$CellContext`y1 == $CellContext`a $CellContext`x1 + \
$CellContext`b, $CellContext`y2 == $CellContext`a $CellContext`x2 + \
$CellContext`b}, {$CellContext`a, $CellContext`b}]]]; $CellContext`lPot = {
        "MPG-2", "MPG-205", "MPG-210", "MPG-220"}; $CellContext`precis := 
       Condition[
         Text[
          Style[
          "\[CapitalDelta]|Z|/|Z| < 1%,  \!\(\*SubscriptBox[\(\[CapitalDelta]\
\[Phi]\), \(Z\)]\) < 1\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Green]; $CellContext`precis := Condition[
         Text[
          Style[
          "\[CapitalDelta]|Z|/|Z| > 1%,  \!\(\*SubscriptBox[\(\[CapitalDelta]\
\[Phi]\), \(Z\)]\) > 1\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Red]; $CellContext`llabelNyqx = {
        "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; \
$CellContext`llabelNyqy = {
        "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; \
$CellContext`couleur = GrayLevel[0.99]; $CellContext`colpol = 
       GrayLevel[0.99]; $CellContext`pol = Polygon[{
          Scaled[{0.2, 0.85}], 
          Scaled[{0.8, 0.85}], 
          Scaled[{0.8, 0.95}], 
          Scaled[{0.2, 0.95}]}]; $CellContext`lpos1 = {
         Scaled[{0.025, 0.85}], 
         Scaled[{0.025, 0.75}], 
         Scaled[{0.025, 0.85}], 
         Scaled[{0.025, 0.8}]}; $CellContext`lpos2 = {
         Scaled[{0.025, 0.1}], 
         Scaled[{0.025, 0.075}], 
         Scaled[{0.025, 0.05}], 
         Scaled[{0.025, 0.05}]}; Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
},
WindowSize->{831, 1051},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 31354, 629, 720, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature juDyr8JHu7ui5BKSYAOr1CFS *)
